{
  "name": "@gitlab/ui",
  "version": "8.8.0",
  "description": "GitLab UI Components",
  "license": "MIT",
  "main": "dist/index.js",
  "module": "dist/index.js",
  "jsnext:main": "dist/index.js",
  "repository": "git@gitlab.com:gitlab-org/gitlab-ui.git",
  "author": "GitLab",
  "private": false,
  "scripts": {
    "build": "yarn build-scss-variables && NODE_ENV=production rollup -c",
    "prebuild": "yarn generate-utilities",
    "build-preview-head": "node .storybook/generate-preview-head.js",
    "generate-utilities": "make src/scss/utilities.scss",
    "build-scss-variables": "make scss_to_js/scss_variables.js",
    "clean": "rm -r dist storybook scss_to_js/scss_variables.* src/scss/utilities.scss",
    "prettier": "prettier --check '**/*.{js,vue}'",
    "prettier:fix": "prettier --write '**/*.{js,vue}'",
    "start": "yarn storybook",
    "storybook": "yarn storybook-prep && start-storybook --ci -p 9001 -c .storybook -s ./styles",
    "storybook-prep": "yarn generate-utilities && yarn build-preview-head && yarn build-scss-variables",
    "storybook-static": "yarn storybook-prep && build-storybook -c .storybook -o storybook  -s ./styles",
    "pretest:unit": "yarn build-scss-variables",
    "test": "yarn test:unit && yarn test:visual",
    "test:unit": "NODE_ENV=test jest --testPathIgnorePatterns storyshots.spec.js",
    "test:unit:watch": "yarn test:unit --watch --notify",
    "test:unit:debug": "NODE_ENV=test node --inspect node_modules/.bin/jest --testPathIgnorePatterns storyshot.spec.js --watch --runInBand",
    "test:visual": "NODE_ENV=test IS_VISUAL_TEST=true start-test http-get://localhost:9001 'jest ./tests/storyshots.spec.js'",
    "test:visual:update": "NODE_ENV=test IS_VISUAL_TEST=true start-test http-get://localhost:9001 'jest ./tests/storyshots.spec.js --updateSnapshot'",
    "test:visual:gitlab": "IS_GITLAB_INTEGRATION_TEST=1 yarn test:visual",
    "eslint": "eslint --max-warnings 0 --ext .js,.vue .",
    "eslint:fix": "yarn eslint --fix",
    "stylelint": "stylelint 'src/**/*.scss'",
    "prestylelint": "yarn generate-utilities",
    "stylelint:fix": "yarn stylelint --fix",
    "generate:component": "sh ./bin/addComponentFiles.sh"
  },
  "dependencies": {
    "@babel/standalone": "^7.0.0",
    "@gitlab/vue-toasted": "^1.3.0",
    "bootstrap-vue": "2.0.0-rc.27",
    "copy-to-clipboard": "^3.0.8",
    "echarts": "^4.2.1",
    "highlight.js": "^9.13.1",
    "js-beautify": "^1.8.8",
    "lodash": "^4.17.14",
    "resize-observer-polyfill": "^1.5.1",
    "url-search-params-polyfill": "^5.0.0",
    "vue": "^2.6.10",
    "vue-loader": "^15.4.2"
  },
  "peerDependencies": {
    "bootstrap": "4.3.1",
    "pikaday": "^1.8.0"
  },
  "devDependencies": {
    "@babel/core": "^7.0.0",
    "@babel/preset-env": "^7.0.0",
    "@gitlab/eslint-config": "^2.0.0",
    "@gitlab/stylelint-config": "^1.1.0",
    "@gitlab/svgs": "^1.88.0",
    "@semantic-release/changelog": "^3.0.6",
    "@semantic-release/git": "^7.0.18",
    "@semantic-release/gitlab": "^4.0.4",
    "@semantic-release/npm": "^5.3.4",
    "@storybook/addon-a11y": "^5.2.4",
    "@storybook/addon-knobs": "^5.2.1",
    "@storybook/addon-storyshots": "^5.2.1",
    "@storybook/addon-storyshots-puppeteer": "^5.2.1",
    "@storybook/theming": "^5.2.1",
    "@storybook/vue": "^5.2.1",
    "@vue/test-utils": "^1.0.0-beta.29",
    "babel-jest": "^24.1.0",
    "babel-loader": "^8.0.5",
    "babel-plugin-require-context-hook": "^1.0.0",
    "babel-preset-vue": "^2.0.2",
    "bootstrap": "4.3.1",
    "eslint": "^5.6.1",
    "eslint-plugin-jest": "^22.3.0",
    "file-loader": "^4.2.0",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^24.1.0",
    "jest-localstorage-mock": "^2.4.0",
    "jest-raw-loader": "^1.0.1",
    "jest-serializer-vue": "^2.0.2",
    "markdown-loader-jest": "^0.1.1",
    "moment": "^2.22.2",
    "node-sass": "^4.12.0",
    "nodemon": "^1.11.0",
    "pikaday": "^1.8.0",
    "prettier": "1.18.2",
    "pug": "^2.0.3",
    "puppeteer": "^1.18.0",
    "raw-loader": "^0.5.1",
    "rollup": "^1.16.2",
    "rollup-plugin-babel": "^4.3.3",
    "rollup-plugin-commonjs": "^10.0.1",
    "rollup-plugin-node-resolve": "^5.1.0",
    "rollup-plugin-postcss": "^2.0.3",
    "rollup-plugin-replace": "^2.2.0",
    "rollup-plugin-string": "^3.0.0",
    "rollup-plugin-svg": "^2.0.0",
    "rollup-plugin-vue": "^5.0.1",
    "sass-export": "^1.0.3",
    "sass-loader": "^7.1.0",
    "sass-true": "^5.0.0",
    "semantic-release": "^15.13.31",
    "start-server-and-test": "^1.10.6",
    "storybook-readme": "^4.0.5",
    "stylelint-config-prettier": "^6.0.0",
    "stylelint-prettier": "^1.1.1",
    "vue-jest": "^4.0.0-beta.2",
    "vue-template-compiler": "^2.5.21"
  },
  "resolutions": {
    "vue-jest/ts-jest": "24.0.0"
  },
  "jest": {
    "verbose": true,
    "moduleFileExtensions": [
      "js",
      "json",
      "vue"
    ],
    "moduleNameMapper": {
      "^@/(.*)$": "<rootDir>/components/$1",
      "^@gitlab/ui$": "<rootDir>/index.js",
      "\\.(css|scss|less)$": "identity-obj-proxy"
    },
    "transform": {
      "^.+\\.js$": "babel-jest",
      ".*\\.example.(vue)$": "vue-jest",
      ".*\\.(vue)$": "vue-jest",
      "\\.svg$": "jest-raw-loader",
      "^.+\\.md?$": "markdown-loader-jest"
    },
    "transformIgnorePatterns": [
      "/node_modules(?![\\\\/]bootstrap-vue[\\\\/]|(/@storybook/.*\\.vue$)|(/@gitlab/svgs/))/"
    ],
    "snapshotSerializers": [
      "<rootDir>/node_modules/jest-serializer-vue"
    ],
    "setupFiles": [
      "jest-localstorage-mock"
    ],
    "setupFilesAfterEnv": [
      "<rootDir>/tests/jest_setup.js"
    ]
  },
  "release": {
    "verifyConditions": [
      "@semantic-release/changelog",
      "@semantic-release/npm",
      "@semantic-release/git",
      "@semantic-release/gitlab"
    ],
    "prepare": [
      "@semantic-release/changelog",
      "@semantic-release/npm",
      "@semantic-release/git"
    ],
    "publish": [
      "@semantic-release/npm",
      "@semantic-release/gitlab"
    ],
    "success": false,
    "fail": false
  }
}
